﻿CREATE TABLE [dbo].[QualitativeAnalysis] (
    [Id]                           UNIQUEIDENTIFIER NOT NULL,
    [ProjectId]                    UNIQUEIDENTIFIER NOT NULL,
    [MarketId]                     UNIQUEIDENTIFIER NULL,
    [QualitativeAnalysisTypeId]    UNIQUEIDENTIFIER NOT NULL,
    [QualitativeAnalysisSubTypeId] UNIQUEIDENTIFIER NULL,
    [ImportanceId]                 UNIQUEIDENTIFIER NULL,
    [ImpactId]                     UNIQUEIDENTIFIER NULL,
    [AnalysisText]                 NVARCHAR (4000)  NULL,
    [CreatedOn]                    DATETIME2 (7)    NULL,
    [UserCreatedById]              UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                   DATETIME2 (7)    NULL,
    [UserModifiedById]             UNIQUEIDENTIFIER NULL,
    [IsDeleted]                    BIT              NOT NULL,
    [DeletedOn]                    DATETIME2 (7)    NULL,
    [UserDeletedById]              UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_QualitativeAnalysis] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_QualitativeAnalysis_AviraUser] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_Impact] FOREIGN KEY ([ImpactId]) REFERENCES [dbo].[ImpactDirection] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_Importance] FOREIGN KEY ([ImportanceId]) REFERENCES [dbo].[Importance] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_Market] FOREIGN KEY ([MarketId]) REFERENCES [dbo].[Market] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_Project] FOREIGN KEY ([ProjectId]) REFERENCES [dbo].[Project] ([ID]),
    CONSTRAINT [FK_QualitativeAnalysis_QualitativeAnalysisSubType] FOREIGN KEY ([QualitativeAnalysisSubTypeId]) REFERENCES [dbo].[QualitativeAnalysisSubType] ([Id]),
    CONSTRAINT [FK_QualitativeAnalysis_QualitativeAnalysisType] FOREIGN KEY ([QualitativeAnalysisTypeId]) REFERENCES [dbo].[QualitativeAnalysisType] ([Id])
);

